# Copyright (c) 2022 CloudZero - ALL RIGHTS RESERVED - PROPRIETARY AND CONFIDENTIAL
# Unauthorized copying of this file and/or project, via any medium is strictly prohibited.
# Direct all questions to legal@cloudzero.com
import os

import czc.internal_api.client as client
from czc.aws_environment import reactor_account_id, environment


def _iapi(api: str):
    return client.invoked(
        namespace=lambda _: os.environ['NAMESPACE'],
        feature='cost-adaptor-anycost',
        account_id=lambda: reactor_account_id(environment(os.environ['NAMESPACE'])),
        api=api
)


@_iapi('update-connection-credentials')
def update_connection_credentials(organization_id: str, connection_id: str, credentials: dict):
    pass
